package com.hzya.frame.report.reportClassify.entity;

import java.util.Date;
import java.util.List;

import com.hzya.frame.sysnew.organ.entity.SysOrganEntity;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 报表分类表(ReportClassify)实体类
 *
 * @author makejava
 * @since 2024-05-21 15:03:14
 */
public class ReportClassifyEntity extends BaseEntity {
 
  /**  编码 */
   private String code;
  /**  名称 */
   private String name;
  /**  上级id */
   private String parentId;
    private String parentName;
  /**  公司id */
   private String companyId;
    private List<ReportClassifyEntity> children;

    private String label;
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public List<ReportClassifyEntity> getChildren() {
        return children;
    }

    public void setChildren(List<ReportClassifyEntity> children) {
        this.children = children;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }
}

